{ config, lib, pkgs, ... }:

let 
  cfg = config.ptw.programs.obs;
in {
  options.ptw.programs.obs = {
    enable = lib.mkEnableOption "Configure OBS Studio";
  };

  config = lib.mkIf cfg.enable {
    home-manager.users.${config.ptw.system.singleUser}.programs.obs-studio = {
      enable = true;
      plugins = with pkgs.obs-studio-plugins; [
        wlrobs obs-vkcapture

        (obs-pipewire-audio-capture.overrideAttrs (old: {
          source = pkgs.fetchFromGitHub {
            owner = "dimtpap";
            repo = "obs-pipewire-audio-capture";
            rev = "dd0cfa9581481c862cddd725e23423cd975265d9";
            sha256 = "1kwdlvpvvx6fgnbn3scx5yg8vgxqy0blrbdxnwqdizzwm2m412ls";
          };
        }))
      ];
    };
  };
}
