{ stdenv, lib,
  pkg-config, cmake, ffmpeg, libdrm, libpulseaudio, xorg, libnotify,
  fetchgit }:

stdenv.mkDerivation rec {
  pname = "ReplaySorcery";
  version = "0.6.0";

  src = fetchgit {
    url = "https://github.com/matanui159/${pname}.git";
    rev = version;
    sha256 = "sha256-nzilMEAOOLrdtfal+y81WJr6LwOVaQpuheIsSN5m83A=";
    deepClone = true;
  };

  nativeBuildInputs = [
    pkg-config cmake
  ];

  buildInputs = [
    ffmpeg libdrm libpulseaudio xorg.libxcb xorg.libX11
  ];

  propagatedBuildInputs = [
    libnotify
  ];

  patches = [
    ./ignore-systemd.patch
  ];
  
  meta = with lib; {
    description = "An open-source, instant-replay solution for Linux";
    homepage = "https://github.com/matanui159/ReplaySorcery";
    license = licenses.gpl3;
    maintainers = [ ];
    platforms = platforms.linux;
  };
}
